Index: trunk/Cocoa/AntiRSI/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/Cocoa/AntiRSI/English.lproj/MainMenu.nib/classes.nib	(revision 676)
+++ 	(revision )
@@ -1,105 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-<dict>
-	<key>IBClasses</key>
-	<array>
-		<dict>
-			<key>CLASS</key>
-			<string>NSLevelIndicator</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSControl</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>AntiRSIButton</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSButton</string>
-		</dict>
-		<dict>
-			<key>ACTIONS</key>
-			<dict>
-				<key>breakNow</key>
-				<string>id</string>
-				<key>checkForUpdate</key>
-				<string>id</string>
-				<key>gotoWebsite</key>
-				<string>id</string>
-				<key>postpone</key>
-				<string>id</string>
-				<key>resetSession</key>
-				<string>id</string>
-			</dict>
-			<key>CLASS</key>
-			<string>AntiRSI</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>OUTLETS</key>
-			<dict>
-				<key>dock_menu</key>
-				<string>NSMenu</string>
-				<key>next_break</key>
-				<string>NSTextField</string>
-				<key>postpone</key>
-				<string>NSButton</string>
-				<key>progress</key>
-				<string>NSLevelIndicator</string>
-				<key>reset_session_time</key>
-				<string>NSDatePicker</string>
-				<key>session_time</key>
-				<string>NSTextField</string>
-				<key>session_time_item</key>
-				<string>NSMenuItem</string>
-				<key>status</key>
-				<string>NSTextField</string>
-				<key>time</key>
-				<string>NSTextField</string>
-				<key>version</key>
-				<string>NSTextField</string>
-				<key>view</key>
-				<string>AntiRSIView</string>
-			</dict>
-			<key>SUPERCLASS</key>
-			<string>NSObject</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>FirstResponder</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSObject</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>NSDatePicker</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSControl</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>AntiRSIView</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSView</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>AntiRSILevelIndicator</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSLevelIndicator</string>
-		</dict>
-	</array>
-	<key>IBVersion</key>
-	<string>1</string>
-</dict>
-</plist>
Index: trunk/Cocoa/AntiRSI/English.lproj/MainMenu.nib/designable.nib
===================================================================
--- trunk/Cocoa/AntiRSI/English.lproj/MainMenu.nib/designable.nib	(revision 677)
+++ trunk/Cocoa/AntiRSI/English.lproj/MainMenu.nib/designable.nib	(revision 677)
@@ -0,0 +1,707 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<document type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="3.0" toolsVersion="9532" systemVersion="14F2109" targetRuntime="MacOSX.Cocoa" propertyAccessControl="none">
+    <dependencies>
+        <deployment identifier="macosx"/>
+        <plugIn identifier="com.apple.InterfaceBuilder.CocoaPlugin" version="9532"/>
+    </dependencies>
+    <objects>
+        <customObject id="-2" userLabel="File's Owner" customClass="NSApplication">
+            <connections>
+                <outlet property="delegate" destination="252" id="408"/>
+                <outlet property="dockMenu" destination="343" id="345"/>
+            </connections>
+        </customObject>
+        <customObject id="-1" userLabel="First Responder" customClass="FirstResponder"/>
+        <customObject id="-3" userLabel="Application"/>
+        <window title="Preferences" allowsToolTipsWhenApplicationIsInactive="NO" autorecalculatesKeyViewLoop="NO" releasedWhenClosed="NO" visibleAtLaunch="NO" animationBehavior="default" id="21" userLabel="Preferences">
+            <windowStyleMask key="styleMask" titled="YES" closable="YES" miniaturizable="YES"/>
+            <windowPositionMask key="initialPositionMask" leftStrut="YES" rightStrut="YES" topStrut="YES" bottomStrut="YES"/>
+            <rect key="contentRect" x="33" y="686" width="510" height="438"/>
+            <rect key="screenRect" x="0.0" y="0.0" width="1920" height="1178"/>
+            <view key="contentView" id="2">
+                <rect key="frame" x="0.0" y="0.0" width="510" height="438"/>
+                <autoresizingMask key="autoresizingMask"/>
+                <subviews>
+                    <button toolTip="Draw current status in dock icon." tag="5" id="372">
+                        <rect key="frame" x="18" y="142" width="191" height="18"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <buttonCell key="cell" type="check" title="Show activity in Dock:" bezelStyle="regularSquare" imagePosition="left" alignment="left" state="on" tag="5" inset="2" id="514">
+                            <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
+                            <font key="font" metaFont="system"/>
+                        </buttonCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.draw_dock_image" id="394">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </button>
+                    <button toolTip="Interrupt work by making AntiRSI the application that has the focus." tag="6" id="373">
+                        <rect key="frame" x="18" y="56" width="295" height="18"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <buttonCell key="cell" type="check" title="Keep AntiRSI in front during breaks" bezelStyle="regularSquare" imagePosition="left" alignment="left" tag="6" inset="2" id="515">
+                            <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
+                            <font key="font" metaFont="system"/>
+                        </buttonCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.lock_focus" id="395">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </button>
+                    <popUpButton verticalHuggingPriority="750" tag="7" id="412">
+                        <rect key="frame" x="210" y="248" width="135" height="26"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <string key="toolTip">How the dock icon and idle time registration updates; Normal is once every second, recommended for slower computers. Smooth is three times every second, recommended for fast computers.</string>
+                        <popUpButtonCell key="cell" type="push" title="Normal" bezelStyle="rounded" alignment="left" lineBreakMode="clipping" state="on" borderStyle="borderAndBezel" inset="2" arrowPosition="arrowAtCenter" preferredEdge="maxY" selectedItem="409" id="520">
+                            <behavior key="behavior" lightByBackground="YES" lightByGray="YES"/>
+                            <font key="font" metaFont="system"/>
+                            <menu key="menu" title="OtherViews" id="413">
+                                <items>
+                                    <menuItem title="Super Smooth" id="410"/>
+                                    <menuItem title="Smooth" id="421"/>
+                                    <menuItem title="Normal" state="on" id="409"/>
+                                    <menuItem title="Low" id="411"/>
+                                </items>
+                            </menu>
+                        </popUpButtonCell>
+                        <connections>
+                            <binding destination="225" name="selectedValue" keyPath="values.sample_interval" id="420"/>
+                        </connections>
+                    </popUpButton>
+                    <textField verticalHuggingPriority="750" id="422">
+                        <rect key="frame" x="88" y="254" width="120" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="Update frequency:" id="521">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="424">
+                        <rect key="frame" x="213" y="231" width="194" height="13"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="Smoother is more processor-intensive." id="522">
+                            <font key="font" metaFont="label"/>
+                            <color key="textColor" white="0.25" alpha="1" colorSpace="calibratedWhite"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <button toolTip="Reset values to default shipping values." verticalHuggingPriority="750" tag="11" id="380">
+                        <rect key="frame" x="352" y="12" width="144" height="32"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <buttonCell key="cell" type="push" title="Restore Defaults" bezelStyle="rounded" alignment="center" borderStyle="border" tag="11" inset="2" id="516">
+                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
+                            <font key="font" metaFont="system"/>
+                        </buttonCell>
+                        <connections>
+                            <action selector="revertToInitialValues:" target="225" id="385"/>
+                        </connections>
+                    </button>
+                    <slider toolTip="Time allowed before a micro break is issued." verticalHuggingPriority="750" id="205">
+                        <rect key="frame" x="211" y="360" width="168" height="25"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <sliderCell key="cell" continuous="YES" alignment="left" minValue="1" maxValue="16" doubleValue="3" tickMarkPosition="below" numberOfTickMarks="6" sliderType="linear" id="499">
+                            <font key="font" size="12" name="Helvetica"/>
+                        </sliderCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.micro_pause_period" id="386">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </slider>
+                    <textField verticalHuggingPriority="750" id="206">
+                        <rect key="frame" x="63" y="371" width="145" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="Time between pauses:" id="500">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <slider toolTip="Length of a micro pause." verticalHuggingPriority="750" tag="1" id="214">
+                        <rect key="frame" x="211" y="396" width="168" height="25"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <sliderCell key="cell" continuous="YES" alignment="left" tag="1" minValue="1" maxValue="30" doubleValue="15" tickMarkPosition="below" numberOfTickMarks="10" sliderType="linear" id="508">
+                            <font key="font" size="12" name="Helvetica"/>
+                        </sliderCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.micro_pause_duration" id="388">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </slider>
+                    <textField verticalHuggingPriority="750" id="216">
+                        <rect key="frame" x="69" y="407" width="139" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="Micro Pauses last for:" id="509">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="219">
+                        <rect key="frame" x="382" y="371" width="18" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" enabled="NO" sendsActionOnEndEditing="YES" state="on" alignment="right" title="30" id="510">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.micro_pause_period" id="387">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                            <outlet property="formatter" destination="247" id="248"/>
+                        </connections>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="207">
+                        <rect key="frame" x="399" y="371" width="47" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="minutes" id="501">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="220">
+                        <rect key="frame" x="382" y="407" width="18" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" enabled="NO" sendsActionOnEndEditing="YES" state="on" alignment="right" title="15" id="511">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.micro_pause_duration" id="389">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                            <outlet property="formatter" destination="247" id="249"/>
+                        </connections>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="208">
+                        <rect key="frame" x="65" y="295" width="143" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="Time between breaks:" id="502">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <slider toolTip="Time allowed before work break is issued." verticalHuggingPriority="750" tag="2" id="209">
+                        <rect key="frame" x="211" y="284" width="168" height="25"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <sliderCell key="cell" continuous="YES" alignment="left" tag="2" minValue="20" maxValue="120" doubleValue="50" tickMarkPosition="below" numberOfTickMarks="11" sliderType="linear" id="503">
+                            <font key="font" size="12" name="Helvetica"/>
+                        </sliderCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.work_break_period" id="390">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </slider>
+                    <textField verticalHuggingPriority="750" id="210">
+                        <rect key="frame" x="399" y="295" width="47" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="minutes" id="504">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="211">
+                        <rect key="frame" x="73" y="331" width="135" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="Work Breaks last for:" id="505">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="212">
+                        <rect key="frame" x="399" y="331" width="47" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="minutes" id="506">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <slider toolTip="Length of a work break." verticalHuggingPriority="750" tag="3" id="213">
+                        <rect key="frame" x="211" y="320" width="168" height="25"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <sliderCell key="cell" continuous="YES" alignment="left" tag="3" minValue="1" maxValue="20" doubleValue="10" tickMarkPosition="below" numberOfTickMarks="9" sliderType="linear" id="507">
+                            <font key="font" size="12" name="Helvetica"/>
+                        </sliderCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.work_break_duration" id="392">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </slider>
+                    <textField verticalHuggingPriority="750" id="221">
+                        <rect key="frame" x="382" y="295" width="18" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" enabled="NO" sendsActionOnEndEditing="YES" state="on" alignment="right" title="50" id="512">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.work_break_period" id="391">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                            <outlet property="formatter" destination="247" id="250"/>
+                        </connections>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="222">
+                        <rect key="frame" x="382" y="331" width="18" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" enabled="NO" sendsActionOnEndEditing="YES" state="on" alignment="right" title="10" id="513">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.work_break_duration" id="393">
+                                <dictionary key="options">
+                                    <bool key="NSValidatesImmediately" value="YES"/>
+                                </dictionary>
+                            </binding>
+                            <outlet property="formatter" destination="247" id="251"/>
+                        </connections>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="444">
+                        <rect key="frame" x="399" y="407" width="48" height="14"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="seconds" id="523">
+                            <font key="font" metaFont="smallSystem"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <colorWell tag="9" id="397">
+                        <rect key="frame" x="198" y="107" width="54" height="26"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <color key="color" red="0.36775559000000002" green="0.93367350000000005" blue="0.37163296000000001" alpha="0.89999998000000003" colorSpace="calibratedRGB"/>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.draw_dock_image" id="461"/>
+                            <binding destination="225" name="value" keyPath="values.taking" id="405">
+                                <dictionary key="options">
+                                    <string key="NSValueTransformerName">NSUnarchiveFromData</string>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </colorWell>
+                    <colorWell tag="10" id="398">
+                        <rect key="frame" x="348" y="107" width="54" height="26"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <color key="color" red="0.80822766000000001" green="0.81152791000000002" blue="0.82142853999999998" alpha="0.89999998000000003" colorSpace="calibratedRGB"/>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.draw_dock_image" id="462"/>
+                            <binding destination="225" name="value" keyPath="values.background" id="407">
+                                <dictionary key="options">
+                                    <string key="NSValueTransformerName">NSUnarchiveFromData</string>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </colorWell>
+                    <textField verticalHuggingPriority="750" id="400">
+                        <rect key="frame" x="257" y="112" width="86" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="Rest time" id="518">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.draw_dock_image" id="464"/>
+                        </connections>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="401">
+                        <rect key="frame" x="407" y="112" width="86" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="Background" id="519">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.draw_dock_image" id="465"/>
+                        </connections>
+                    </textField>
+                    <textField verticalHuggingPriority="750" id="399">
+                        <rect key="frame" x="107" y="112" width="86" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="Work time" id="517">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.draw_dock_image" id="463"/>
+                        </connections>
+                    </textField>
+                    <colorWell tag="8" id="396">
+                        <rect key="frame" x="48" y="106" width="54" height="26"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <color key="color" red="0.37390772" green="0.37407281999999997" blue="0.91326529000000001" alpha="0.89999998000000003" colorSpace="calibratedRGB"/>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.draw_dock_image" id="459"/>
+                            <binding destination="225" name="value" keyPath="values.elapsed" id="403">
+                                <dictionary key="options">
+                                    <string key="NSValueTransformerName">NSUnarchiveFromData</string>
+                                </dictionary>
+                            </binding>
+                        </connections>
+                    </colorWell>
+                    <button toolTip="Draw current status in dock icon." tag="5" id="472">
+                        <rect key="frame" x="46" y="82" width="192" height="18"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <buttonCell key="cell" type="check" title="Include work session timer" bezelStyle="regularSquare" imagePosition="left" alignment="left" state="on" tag="5" inset="2" id="524">
+                            <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
+                            <font key="font" metaFont="system"/>
+                        </buttonCell>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.draw_dock_image" id="475"/>
+                            <binding destination="225" name="value" keyPath="values.draw_dock_badge" id="476"/>
+                        </connections>
+                    </button>
+                    <textField verticalHuggingPriority="750" id="478">
+                        <rect key="frame" x="42" y="200" width="166" height="17"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="Reset work session timer:" id="526">
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                    </textField>
+                    <button id="479">
+                        <rect key="frame" x="211" y="169" width="161" height="18"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <buttonCell key="cell" type="check" title="Daily at" bezelStyle="regularSquare" imagePosition="left" alignment="left" inset="2" id="527">
+                            <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
+                            <font key="font" metaFont="system"/>
+                        </buttonCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.reset_session_timer_daily" id="490"/>
+                        </connections>
+                    </button>
+                    <button id="480">
+                        <rect key="frame" x="211" y="198" width="213" height="18"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <buttonCell key="cell" type="check" title="After         hour(s) of inactivity" bezelStyle="regularSquare" imagePosition="left" alignment="left" inset="2" id="528">
+                            <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
+                            <font key="font" metaFont="system"/>
+                        </buttonCell>
+                        <connections>
+                            <binding destination="225" name="value" keyPath="values.reset_session_timer_after" id="491"/>
+                        </connections>
+                    </button>
+                    <textField verticalHuggingPriority="750" id="481">
+                        <rect key="frame" x="268" y="197" width="25" height="22"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" state="on" borderStyle="bezel" alignment="right" title="12" drawsBackground="YES" id="529">
+                            <numberFormatter key="formatter" formatterBehavior="10_0" positiveFormat="0" negativeFormat="-0" hasThousandSeparators="NO" thousandSeparator="," id="482">
+                                <attributedString key="attributedStringForZero">
+                                    <fragment content="0"/>
+                                </attributedString>
+                                <decimal key="minimum" value="1"/>
+                                <decimal key="maximum" value="99"/>
+                            </numberFormatter>
+                            <font key="font" metaFont="system"/>
+                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
+                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
+                        </textFieldCell>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.reset_session_timer_after" id="492"/>
+                            <binding destination="225" name="value" keyPath="values.reset_session_timer_after_hours" id="496"/>
+                        </connections>
+                    </textField>
+                    <datePicker verticalHuggingPriority="750" id="477">
+                        <rect key="frame" x="285" y="167" width="86" height="27"/>
+                        <autoresizingMask key="autoresizingMask"/>
+                        <datePickerCell key="cell" borderStyle="bezel" alignment="left" id="525">
+                            <font key="font" metaFont="system"/>
+                            <calendarDate key="date" timeIntervalSinceReferenceDate="-43200" calendarFormat="%Y-%m-%d %H:%M:%S %z">
+                                <!--2000-12-31 06:00:00 -0600-->
+                                <timeZone key="timeZone" name="America/Chicago"/>
+                            </calendarDate>
+                            <color key="backgroundColor" name="controlBackgroundColor" catalog="System" colorSpace="catalog"/>
+                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
+                            <datePickerElements key="datePickerElements" hour="YES" minute="YES"/>
+                        </datePickerCell>
+                        <connections>
+                            <binding destination="225" name="enabled" keyPath="values.reset_session_timer_daily" id="494"/>
+                            <binding destination="225" name="value" keyPath="values.reset_session_timer_time" id="495"/>
+                        </connections>
+                    </datePicker>
+                </subviews>
+            </view>
+            <connections>
+                <outlet property="initialFirstResponder" destination="214" id="471"/>
+            </connections>
+        </window>
+        <menu title="MainMenu" systemMenu="main" id="29" userLabel="MainMenu">
+            <items>
+                <menuItem title="AntiRSI" id="56">
+                    <menu key="submenu" title="AntiRSI" systemMenu="apple" id="57">
+                        <items>
+                            <menuItem title="About AntiRSI" id="58">
+                                <modifierMask key="keyEquivalentModifierMask"/>
+                                <connections>
+                                    <action selector="orderFrontStandardAboutPanel:" target="-2" id="142"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem title="Check for Updates…" id="447">
+                                <modifierMask key="keyEquivalentModifierMask"/>
+                                <connections>
+                                    <action selector="checkForUpdate:" target="252" id="448"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem isSeparatorItem="YES" id="196">
+                                <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                            </menuItem>
+                            <menuItem title="Preferences…" keyEquivalent="," id="129">
+                                <connections>
+                                    <action selector="makeKeyAndOrderFront:" target="21" id="204"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem isSeparatorItem="YES" id="143">
+                                <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                            </menuItem>
+                            <menuItem title="Services" id="131">
+                                <menu key="submenu" title="Services" systemMenu="services" id="130"/>
+                            </menuItem>
+                            <menuItem isSeparatorItem="YES" id="144">
+                                <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                            </menuItem>
+                            <menuItem title="Hide AntiRSI" keyEquivalent="h" id="134">
+                                <connections>
+                                    <action selector="hide:" target="-2" id="152"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem title="Hide Others" keyEquivalent="h" id="145">
+                                <modifierMask key="keyEquivalentModifierMask" option="YES" command="YES"/>
+                                <connections>
+                                    <action selector="hideOtherApplications:" target="-2" id="146"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem title="Show All" id="150">
+                                <connections>
+                                    <action selector="unhideAllApplications:" target="-2" id="153"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem isSeparatorItem="YES" id="149">
+                                <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                            </menuItem>
+                            <menuItem title="Quit AntiRSI" keyEquivalent="q" id="136">
+                                <connections>
+                                    <action selector="terminate:" target="-2" id="139"/>
+                                </connections>
+                            </menuItem>
+                        </items>
+                    </menu>
+                </menuItem>
+                <menuItem title="Break" id="338">
+                    <menu key="submenu" title="Break" id="336">
+                        <items>
+                            <menuItem title="Take Break Now" keyEquivalent="b" id="337">
+                                <connections>
+                                    <action selector="breakNow:" target="252" id="339"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem title="Postpone Break" keyEquivalent="p" id="340">
+                                <connections>
+                                    <action selector="postpone:" target="252" id="341"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem isSeparatorItem="YES" id="467">
+                                <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                            </menuItem>
+                            <menuItem title="Reset Session Time" keyEquivalent="r" id="469">
+                                <connections>
+                                    <action selector="resetSession:" target="252" id="470"/>
+                                </connections>
+                            </menuItem>
+                        </items>
+                    </menu>
+                </menuItem>
+                <menuItem title="Window" id="19">
+                    <menu key="submenu" title="Window" systemMenu="window" id="24">
+                        <items>
+                            <menuItem title="Close" keyEquivalent="w" id="440">
+                                <connections>
+                                    <action selector="performClose:" target="-1" id="441"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem title="Zoom" keyEquivalent="z" id="197">
+                                <modifierMask key="keyEquivalentModifierMask" control="YES" command="YES"/>
+                                <connections>
+                                    <action selector="performZoom:" target="-1" id="198"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem title="Minimize" keyEquivalent="m" id="23">
+                                <connections>
+                                    <action selector="performMiniaturize:" target="-1" id="37"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem isSeparatorItem="YES" id="92">
+                                <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                            </menuItem>
+                            <menuItem title="Bring All to Front" id="5">
+                                <connections>
+                                    <action selector="arrangeInFront:" target="-1" id="39"/>
+                                </connections>
+                            </menuItem>
+                        </items>
+                    </menu>
+                </menuItem>
+                <menuItem title="Help" id="103">
+                    <menu key="submenu" title="Help" id="106">
+                        <items>
+                            <menuItem title="AntiRSI Help" keyEquivalent="?" id="111">
+                                <connections>
+                                    <action selector="showHelp:" target="-1" id="122"/>
+                                </connections>
+                            </menuItem>
+                            <menuItem isSeparatorItem="YES" title="AntiRSI Web site" id="451">
+                                <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                            </menuItem>
+                            <menuItem title="AntiRSI Web site" id="449">
+                                <modifierMask key="keyEquivalentModifierMask"/>
+                                <connections>
+                                    <action selector="gotoWebsite:" target="252" id="452"/>
+                                </connections>
+                            </menuItem>
+                        </items>
+                    </menu>
+                </menuItem>
+            </items>
+        </menu>
+        <userDefaultsController representsSharedInstance="YES" id="225" userLabel="Shared Defaults"/>
+        <numberFormatter formatterBehavior="10_0" positiveFormat="0" negativeFormat="-0" localizesFormat="NO" thousandSeparator="," id="247" userLabel="Number Formatter">
+            <attributedString key="attributedStringForZero">
+                <fragment content="0"/>
+            </attributedString>
+            <decimal key="minimum" value="NaN"/>
+            <decimal key="maximum" value="NaN"/>
+        </numberFormatter>
+        <customObject id="252" userLabel="AntiRSI" customClass="AntiRSI">
+            <connections>
+                <outlet property="dock_menu" destination="343" id="455"/>
+                <outlet property="next_break" destination="370" id="371"/>
+                <outlet property="postpone" destination="261" id="273"/>
+                <outlet property="progress" destination="434" id="435"/>
+                <outlet property="reset_session_time" destination="477" id="497"/>
+                <outlet property="session_time" destination="438" id="442"/>
+                <outlet property="session_time_item" destination="453" id="456"/>
+                <outlet property="status" destination="436" id="437"/>
+                <outlet property="time" destination="279" id="280"/>
+                <outlet property="view" destination="259" id="271"/>
+            </connections>
+        </customObject>
+        <customView id="259" userLabel="AntiRSIView" customClass="AntiRSIView">
+            <rect key="frame" x="0.0" y="0.0" width="280" height="280"/>
+            <autoresizingMask key="autoresizingMask"/>
+            <subviews>
+                <textField verticalHuggingPriority="750" id="438">
+                    <rect key="frame" x="17" y="22" width="118" height="17"/>
+                    <autoresizingMask key="autoresizingMask"/>
+                    <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="Session: 00:00:00" id="535">
+                        <font key="font" metaFont="system"/>
+                        <color key="textColor" red="0.52156866000000002" green="0.52156866000000002" blue="0.52156866000000002" alpha="1" colorSpace="calibratedRGB"/>
+                        <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                    </textFieldCell>
+                </textField>
+                <textField verticalHuggingPriority="750" id="436">
+                    <rect key="frame" x="10" y="140" width="261" height="49"/>
+                    <autoresizingMask key="autoresizingMask"/>
+                    <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="center" title="Micro Pause" id="534">
+                        <font key="font" size="40" name="HelveticaNeue-Light"/>
+                        <color key="textColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
+                        <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                    </textFieldCell>
+                </textField>
+                <levelIndicator verticalHuggingPriority="750" id="434" customClass="AntiRSILevelIndicator">
+                    <rect key="frame" x="10" y="78" width="261" height="18"/>
+                    <autoresizingMask key="autoresizingMask"/>
+                    <levelIndicatorCell key="cell" alignment="left" maxValue="1" id="533"/>
+                </levelIndicator>
+                <textField verticalHuggingPriority="750" id="370">
+                    <rect key="frame" x="7" y="55" width="266" height="17"/>
+                    <autoresizingMask key="autoresizingMask"/>
+                    <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="center" title="next break in 0 minutes" id="532">
+                        <font key="font" metaFont="system"/>
+                        <color key="textColor" red="0.52156866000000002" green="0.52156866000000002" blue="0.52156866000000002" alpha="1" colorSpace="calibratedRGB"/>
+                        <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                    </textFieldCell>
+                </textField>
+                <textField verticalHuggingPriority="750" id="279">
+                    <rect key="frame" x="169" y="104" width="94" height="17"/>
+                    <autoresizingMask key="autoresizingMask"/>
+                    <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="0:00" id="531">
+                        <font key="font" metaFont="system"/>
+                        <color key="textColor" red="0.52156866000000002" green="0.52156866000000002" blue="0.52156866000000002" alpha="1" colorSpace="calibratedRGB"/>
+                        <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
+                    </textFieldCell>
+                </textField>
+                <button verticalHuggingPriority="750" id="261" customClass="AntiRSIButton">
+                    <rect key="frame" x="168" y="12" width="102" height="32"/>
+                    <autoresizingMask key="autoresizingMask"/>
+                    <buttonCell key="cell" type="push" title="Postpone" bezelStyle="rounded" alignment="center" borderStyle="border" inset="2" id="530">
+                        <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
+                        <font key="font" metaFont="system"/>
+                    </buttonCell>
+                    <connections>
+                        <action selector="postpone:" target="252" id="277"/>
+                    </connections>
+                </button>
+            </subviews>
+        </customView>
+        <menu title="Menu" id="343" userLabel="DockMenu">
+            <items>
+                <menuItem title="Session: " id="453">
+                    <modifierMask key="keyEquivalentModifierMask"/>
+                </menuItem>
+                <menuItem title="Reset Session Time" id="466">
+                    <connections>
+                        <action selector="resetSession:" target="252" id="468"/>
+                    </connections>
+                </menuItem>
+                <menuItem isSeparatorItem="YES" id="454">
+                    <modifierMask key="keyEquivalentModifierMask" command="YES"/>
+                </menuItem>
+                <menuItem title="Take Break Now" id="342">
+                    <modifierMask key="keyEquivalentModifierMask"/>
+                    <connections>
+                        <action selector="breakNow:" target="252" id="346"/>
+                    </connections>
+                </menuItem>
+                <menuItem title="Postpone Break" id="347">
+                    <modifierMask key="keyEquivalentModifierMask"/>
+                    <connections>
+                        <action selector="postpone:" target="252" id="348"/>
+                    </connections>
+                </menuItem>
+            </items>
+        </menu>
+    </objects>
+</document>
Index: trunk/Cocoa/AntiRSI/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/Cocoa/AntiRSI/English.lproj/MainMenu.nib/info.nib	(revision 676)
+++ 	(revision )
@@ -1,20 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-<dict>
-	<key>IBFramework Version</key>
-	<string>629</string>
-	<key>IBLastKnownRelativeProjectPath</key>
-	<string>../../AntiRSI.xcodeproj</string>
-	<key>IBOldestOS</key>
-	<integer>5</integer>
-	<key>IBOpenObjects</key>
-	<array>
-		<integer>259</integer>
-	</array>
-	<key>IBSystem Version</key>
-	<string>9B18</string>
-	<key>targetFramework</key>
-	<string>IBCocoaFramework</string>
-</dict>
-</plist>
